org.apache.ignite.internal.visor.query

## Class VisorQueryField

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryField

All Implemented Interfaces:
  Serializable

    public class VisorQueryField
    extends Object
    implements Serializable

Data transfer object for query field type description.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryField(String type, String field)` Create data transfer object with given parameters.

### Method Summary

Methods
`String` `field()`
`String` `toString()`
`String` `type()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryField

    public VisorQueryField(String type,
                   String field)

Create data transfer object with given parameters.

Parameters:
  `type` - Column type.
  `field` - Field name.

### Method Detail

#### type

    public String type()

Returns:
  Column type.

#### field

    public String field()

Returns:
  Field name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015